WSDiscovery10::Elements::Hello(3)

NAME
WSDiscovery10::Elements::Hello

DESCRIPTION
Perl data type class for the XML Schema defined element Hello from the namespace http://schemas.xmlsoap.org/ws/2005/04/discovery.

METHODS

  new
 my $element = WSDiscovery10::Elements::Hello->new($data);

Constructor. The following data structure may be passed to new():

 { # WSDiscovery10::Types::HelloType
   EndpointReference =>  { # WSDiscovery10::Types::EndpointReferenceType
     Address =>  { value => $some_value },
     ReferenceProperties =>  { # WSDiscovery10::Types::ReferencePropertiesType
     },
     ReferenceParameters =>  { # WSDiscovery10::Types::ReferenceParametersType
     },
     PortType =>  { value => $some_value },
     ServiceName =>  { value => $some_value },
   },
   Types => $some_value, # QNameListType
   Scopes =>  { value => $some_value },
   XAddrs => $some_value, # UriListType
   MetadataVersion =>  $some_value, # unsignedInt
 },

AUTHOR
Generated by SOAP::WSDL